{
  pkgs,
  lib,
  ...
}:
{
  options.cursor = {
    enable = lib.mkEnableOption { };
  };

  config = lib.mkIf config.cursor.enable {
    home.file = {
      "${config.home.homeDirectory}/.local/share/applications/cursor.desktop".source = ./cursor.desktop;
      "${config.home.homeDirectory}/.config/Cusor/User/keybindings.json".source =
        config.lib.file.mkOutOfStoreSymlink "${config.home.homeDirectory}/projects/nixos-config/user/cursor/keybindings.json";
      "${config.home.homeDirectory}/.config/Cursor/User/settings.json".source =
        config.lib.file.mkOutOfStoreSymlink "${config.home.homeDirectory}/projects/nixos-config/user/cursor/settings.json";
    };
  };
}
